Bug 182696 - Automounting removable media does not work for root
Automounting removable media does not work for root
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 21:29 EST by Michal Jaegermann
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-02-23 21:29:39 EST
Description of problem:

Automounting removable storage, like CD and USB devices, works only
from non-root accounts does not matter how preferences boxes are picked
up for "Removable Drives and Media".  These still can be mounted like
floppies, i.e. using corresponding icon menus in "Computer" window.

If this is a deliberate "security" feature, which seems to be of a rather
low value, then at least corresponding preference entries should be disabled
for root or this is at least confusing (and root can mount whatever s/he
pleases and whenever anyway).  It would be even nicer if that would be
documented.

Much more important is not to allow here to autorun whatever may happen
to be on such media but, sanely enough, removable media are mounted
"noexec,nodev" so autorun checkbox seems to be the next point of confusion
in those preferences anyway.

Version-Release number of selected component (if applicable):
gnome-volume-manager-1.5.11-2

How reproducible:
always
Comment 1 Bug Zapper 2008-04-03 13:01:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:23:19 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.